POST api/poolapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
PoolViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| description | string |
Required String length: inclusive between 0 and 250 |
|
| id | globally unique identifier |
None. |
|
| site_id | globally unique identifier |
Required |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"description": "sample string 2",
"id": "571edf13-e964-4eea-90f8-dfd44d93c531",
"site_id": "bd000de4-ddcb-406f-960c-b90c10ee3e9a"
}
application/xml, text/xml
Sample:
<pool xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <description>sample string 2</description> <id>571edf13-e964-4eea-90f8-dfd44d93c531</id> <site_id>bd000de4-ddcb-406f-960c-b90c10ee3e9a</site_id> </pool>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"04becdbc-9096-49e2-b938-d25b723ab2b2"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">04becdbc-9096-49e2-b938-d25b723ab2b2</guid>